TransmittalHeaderFile (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.asrp
Class TransmittalHeaderFile

    java.lang.Object
      com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
          com.bbn.openmap.dataAccess.asrp.TransmittalHeaderFile

All Implemented Interfaces:
  ASRPConstants

    public class TransmittalHeaderFile

extends GeneralASRPFile
implements ASRPConstants

The transmitter header file contains information about various ASRP directories, their names and coverages. This object can be used to coordinate the display of ASRP images from different directories.

Field Summary
`static java.lang.String` | `DATA_SET_DESCRIPTION`
`protected java.lang.String` | `rootDir`
`static java.lang.String` | `SECURITY_AND_RELEASE`
`static java.lang.String` | `TRANSMITTAL_RECORD`
`static java.lang.String` | `UP_TO_DATENESS`

Fields inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`fields, info`

Fields inherited from interface com.bbn.openmap.dataAccess.asrp.ASRPConstants
`GEN_NAME, GER_NAME, IMAGE_NAME, QAL_NAME, SOURCE_NAME, TRANS`

Constructor Summary
`TransmittalHeaderFile(java.lang.String fileName)`

Method Summary
`java.util.List` | `getASRPDirectories()` Return a java.util.List of ASRPDirectories known by this THF file.
`java.lang.String` | `getRootDir()` Returns the root directory of the ASRP data, with the trailing file separator still attached.
`static void` | `main(java.lang.String[] argv)`

Methods inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`addField, close, dump, dumpFields, getField, getFields, getInfo, load, loadField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSMITTAL_RECORD

    public static final java.lang.String TRANSMITTAL_RECORD

See Also:
  Constant Field Values

### DATA_SET_DESCRIPTION

    public static final java.lang.String DATA_SET_DESCRIPTION

See Also:
  Constant Field Values

### SECURITY_AND_RELEASE

    public static final java.lang.String SECURITY_AND_RELEASE

See Also:
  Constant Field Values

### UP_TO_DATENESS

    public static final java.lang.String UP_TO_DATENESS

See Also:
  Constant Field Values

### rootDir

    protected java.lang.String rootDir

Constructor Detail

### TransmittalHeaderFile

    public TransmittalHeaderFile(java.lang.String fileName)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getRootDir

    public java.lang.String getRootDir()

  Returns the root directory of the ASRP data, with the trailing file separator still attached.

### getASRPDirectories

    public java.util.List getASRPDirectories()

  Return a java.util.List of ASRPDirectories known by this THF file.

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details